<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<!-- 2021-12-03 Fri 15:43 -->
<meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1" />
<title>The FOSS Code of Conduct</title>
<meta name="author" content="dt" />
<meta name="description" content="DT Articles - The FOSS Code of Conduct
Header
Header" />
<meta name="generator" content="Org Mode" />
<style>
  #content { max-width: 60em; margin: auto; }
  .title  { text-align: center;
             margin-bottom: .2em; }
  .subtitle { text-align: center;
              font-size: medium;
              font-weight: bold;
              margin-top:0; }
  .todo   { font-family: monospace; color: red; }
  .done   { font-family: monospace; color: green; }
  .priority { font-family: monospace; color: orange; }
  .tag    { background-color: #eee; font-family: monospace;
            padding: 2px; font-size: 80%; font-weight: normal; }
  .timestamp { color: #bebebe; }
  .timestamp-kwd { color: #5f9ea0; }
  .org-right  { margin-left: auto; margin-right: 0px;  text-align: right; }
  .org-left   { margin-left: 0px;  margin-right: auto; text-align: left; }
  .org-center { margin-left: auto; margin-right: auto; text-align: center; }
  .underline { text-decoration: underline; }
  #postamble p, #preamble p { font-size: 90%; margin: .2em; }
  p.verse { margin-left: 3%; }
  pre {
    border: 1px solid #e6e6e6;
    border-radius: 3px;
    background-color: #f2f2f2;
    padding: 8pt;
    font-family: monospace;
    overflow: auto;
    margin: 1.2em;
  }
  pre.src {
    position: relative;
    overflow: auto;
  }
  pre.src:before {
    display: none;
    position: absolute;
    top: -8px;
    right: 12px;
    padding: 3px;
    color: #555;
    background-color: #f2f2f299;
  }
  pre.src:hover:before { display: inline; margin-top: 14px;}
  /* Languages per Org manual */
  pre.src-asymptote:before { content: 'Asymptote'; }
  pre.src-awk:before { content: 'Awk'; }
  pre.src-authinfo::before { content: 'Authinfo'; }
  pre.src-C:before { content: 'C'; }
  /* pre.src-C++ doesn't work in CSS */
  pre.src-clojure:before { content: 'Clojure'; }
  pre.src-css:before { content: 'CSS'; }
  pre.src-D:before { content: 'D'; }
  pre.src-ditaa:before { content: 'ditaa'; }
  pre.src-dot:before { content: 'Graphviz'; }
  pre.src-calc:before { content: 'Emacs Calc'; }
  pre.src-emacs-lisp:before { content: 'Emacs Lisp'; }
  pre.src-fortran:before { content: 'Fortran'; }
  pre.src-gnuplot:before { content: 'gnuplot'; }
  pre.src-haskell:before { content: 'Haskell'; }
  pre.src-hledger:before { content: 'hledger'; }
  pre.src-java:before { content: 'Java'; }
  pre.src-js:before { content: 'Javascript'; }
  pre.src-latex:before { content: 'LaTeX'; }
  pre.src-ledger:before { content: 'Ledger'; }
  pre.src-lisp:before { content: 'Lisp'; }
  pre.src-lilypond:before { content: 'Lilypond'; }
  pre.src-lua:before { content: 'Lua'; }
  pre.src-matlab:before { content: 'MATLAB'; }
  pre.src-mscgen:before { content: 'Mscgen'; }
  pre.src-ocaml:before { content: 'Objective Caml'; }
  pre.src-octave:before { content: 'Octave'; }
  pre.src-org:before { content: 'Org mode'; }
  pre.src-oz:before { content: 'OZ'; }
  pre.src-plantuml:before { content: 'Plantuml'; }
  pre.src-processing:before { content: 'Processing.js'; }
  pre.src-python:before { content: 'Python'; }
  pre.src-R:before { content: 'R'; }
  pre.src-ruby:before { content: 'Ruby'; }
  pre.src-sass:before { content: 'Sass'; }
  pre.src-scheme:before { content: 'Scheme'; }
  pre.src-screen:before { content: 'Gnu Screen'; }
  pre.src-sed:before { content: 'Sed'; }
  pre.src-sh:before { content: 'shell'; }
  pre.src-sql:before { content: 'SQL'; }
  pre.src-sqlite:before { content: 'SQLite'; }
  /* additional languages in org.el's org-babel-load-languages alist */
  pre.src-forth:before { content: 'Forth'; }
  pre.src-io:before { content: 'IO'; }
  pre.src-J:before { content: 'J'; }
  pre.src-makefile:before { content: 'Makefile'; }
  pre.src-maxima:before { content: 'Maxima'; }
  pre.src-perl:before { content: 'Perl'; }
  pre.src-picolisp:before { content: 'Pico Lisp'; }
  pre.src-scala:before { content: 'Scala'; }
  pre.src-shell:before { content: 'Shell Script'; }
  pre.src-ebnf2ps:before { content: 'ebfn2ps'; }
  /* additional language identifiers per "defun org-babel-execute"
       in ob-*.el */
  pre.src-cpp:before  { content: 'C++'; }
  pre.src-abc:before  { content: 'ABC'; }
  pre.src-coq:before  { content: 'Coq'; }
  pre.src-groovy:before  { content: 'Groovy'; }
  /* additional language identifiers from org-babel-shell-names in
     ob-shell.el: ob-shell is the only babel language using a lambda to put
     the execution function name together. */
  pre.src-bash:before  { content: 'bash'; }
  pre.src-csh:before  { content: 'csh'; }
  pre.src-ash:before  { content: 'ash'; }
  pre.src-dash:before  { content: 'dash'; }
  pre.src-ksh:before  { content: 'ksh'; }
  pre.src-mksh:before  { content: 'mksh'; }
  pre.src-posh:before  { content: 'posh'; }
  /* Additional Emacs modes also supported by the LaTeX listings package */
  pre.src-ada:before { content: 'Ada'; }
  pre.src-asm:before { content: 'Assembler'; }
  pre.src-caml:before { content: 'Caml'; }
  pre.src-delphi:before { content: 'Delphi'; }
  pre.src-html:before { content: 'HTML'; }
  pre.src-idl:before { content: 'IDL'; }
  pre.src-mercury:before { content: 'Mercury'; }
  pre.src-metapost:before { content: 'MetaPost'; }
  pre.src-modula-2:before { content: 'Modula-2'; }
  pre.src-pascal:before { content: 'Pascal'; }
  pre.src-ps:before { content: 'PostScript'; }
  pre.src-prolog:before { content: 'Prolog'; }
  pre.src-simula:before { content: 'Simula'; }
  pre.src-tcl:before { content: 'tcl'; }
  pre.src-tex:before { content: 'TeX'; }
  pre.src-plain-tex:before { content: 'Plain TeX'; }
  pre.src-verilog:before { content: 'Verilog'; }
  pre.src-vhdl:before { content: 'VHDL'; }
  pre.src-xml:before { content: 'XML'; }
  pre.src-nxml:before { content: 'XML'; }
  /* add a generic configuration mode; LaTeX export needs an additional
     (add-to-list 'org-latex-listings-langs '(conf " ")) in .emacs */
  pre.src-conf:before { content: 'Configuration File'; }

  table { border-collapse:collapse; }
  caption.t-above { caption-side: top; }
  caption.t-bottom { caption-side: bottom; }
  td, th { vertical-align:top;  }
  th.org-right  { text-align: center;  }
  th.org-left   { text-align: center;   }
  th.org-center { text-align: center; }
  td.org-right  { text-align: right;  }
  td.org-left   { text-align: left;   }
  td.org-center { text-align: center; }
  dt { font-weight: bold; }
  .footpara { display: inline; }
  .footdef  { margin-bottom: 1em; }
  .figure { padding: 1em; }
  .figure p { text-align: center; }
  .equation-container {
    display: table;
    text-align: center;
    width: 100%;
  }
  .equation {
    vertical-align: middle;
  }
  .equation-label {
    display: table-cell;
    text-align: right;
    vertical-align: middle;
  }
  .inlinetask {
    padding: 10px;
    border: 2px solid gray;
    margin: 10px;
    background: #ffffcc;
  }
  #org-div-home-and-up
   { text-align: right; font-size: 70%; white-space: nowrap; }
  textarea { overflow-x: auto; }
  .linenr { font-size: smaller }
  .code-highlighted { background-color: #ffff00; }
  .org-info-js_info-navigation { border-style: none; }
  #org-info-js_console-label
    { font-size: 10px; font-weight: bold; white-space: nowrap; }
  .org-info-js_search-highlight
    { background-color: #ffff00; color: #000000; font-weight: bold; }
  .org-svg { width: 90%; }
</style>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/htmlize.css"/>
<link rel="stylesheet" type="text/css" href="https://distro.tube/org-html-themes/src/readtheorg_theme/css/readtheorg.css"/>
<script src="httpss://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
<script src="httpss://maxcdn.bootstrapcdn.com/bootstrap/3.3.4/js/bootstrap.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/lib/js/jquery.stickytableheaders.min.js"></script>
<script type="text/javascript" src="https://distro.tube/org-html-themes/src/readtheorg_theme/js/readtheorg.js"></script>
</head>
<body>
<div id="content" class="content">
<h1 class="title">The FOSS Code of Conduct</h1>
<div id="table-of-contents" role="doc-toc">
<h2>Table of Contents</h2>
<div id="text-table-of-contents" role="doc-toc">
<ul>
<li><a href="#org0eefc6a">The FOSS Code of Conduct</a>
<ul>
<li><a href="#org65df0c7">1. THE ETHIC OF RECIPROCITY</a></li>
<li><a href="#org8caa93d">2. ACTIONS DEFINE US</a></li>
<li><a href="#orgdba3417">3. INEQUALITY</a></li>
<li><a href="#org39ba65d">4. ACCEPTANCE RATHER THAN TOLERANCE</a></li>
<li><a href="#orgce1a383">5. DO NOT BE JUDGEMENTAL</a></li>
<li><a href="#org5211fdc">6. VICTIM MENTALITY AND MARTYRDOM</a></li>
<li><a href="#org529571b">7. YOUR VALUE TO THE COMMUNITY</a></li>
<li><a href="#orge4a80c5">8. COMPETITON IS ENCOURAGED</a></li>
</ul>
</li>
<li><a href="#org1d9af50">ENFORCING THE CODE OF CONDUCT</a>
<ul>
<li><a href="#org1cb362c">1. VERBAL WARNING</a></li>
<li><a href="#org6e5614c">2. WRITTEN WARNING</a></li>
<li><a href="#orga15d9fc">3. TEMPORARY BAN</a></li>
<li><a href="#org901f8b7">4. PERMANENT BAN</a>
<ul>
<li><a href="#orgf2e8bb1">Footer</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<table border="2" cellspacing="0" cellpadding="6" rules="groups" frame="hsides">


<colgroup>
<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />

<col  class="org-left" />
</colgroup>
<tbody>
<tr>
<td class="org-left"><a href="../index.html">Home</a></td>
<td class="org-left"><a href="../dtos/index.html">DTOS</a></td>
<td class="org-left"><a href="../kb/index.html">Knowledge Base</a></td>
<td class="org-left"><a href="../community/index.html">Community</a></td>
<td class="org-left"><a href="../contribute/index.html">Contribute</a></td>
<td class="org-left"><a href="../support/index.html">Support DT&rsquo;s Work</a></td>
</tr>
</tbody>
</table>

<div id="outline-container-org0eefc6a" class="outline-2">
<h2 id="org0eefc6a">The FOSS Code of Conduct</h2>
<div class="outline-text-2" id="text-org0eefc6a">
<p>
<i>By Derek Taylor at January 20, 2020</i>
</p>

<p>
This code of conduct is written to guide an individual&rsquo;s choices and actions within the free and open source software (FOSS) community. This code will help one determine the purpose and the course of his work as well as his place as a member of this community.
</p>
</div>

<div id="outline-container-org65df0c7" class="outline-3">
<h3 id="org65df0c7">1. THE ETHIC OF RECIPROCITY</h3>
<div class="outline-text-3" id="text-org65df0c7">
<p>
The most fundamental ethic is that of reciprocity–do unto others as they do unto you. Are you treating others in a manner that they would not treat you? If so, then your actions are out of bounds and you should cease those actions. Emotional reactions should be calculated carefully. Before acting, decide how the potential response might benefit you and/or the community and how it might hinder you and/or the community.
</p>
</div>
</div>

<div id="outline-container-org8caa93d" class="outline-3">
<h3 id="org8caa93d">2. ACTIONS DEFINE US</h3>
<div class="outline-text-3" id="text-org8caa93d">
<p>
People should not be prejudged because of their race, ethnicity, nationality, religious beliefs, gender identity, sexual orientation, age or gender, but rather evaluated on their accomplishments and actions. Harassment and discrimination should not and will not be tolerated. Instead, you be judged on your actions. And based on your actions, you will either succeed in your achievements or fail in your own incompetence or impotence.
</p>
</div>
</div>

<div id="outline-container-orgdba3417" class="outline-3">
<h3 id="orgdba3417">3. INEQUALITY</h3>
<div class="outline-text-3" id="text-orgdba3417">
<p>
On equality: no two people are the same. Common sense should dictate that no two individuals have the exact same strength, intelligence, strive to succeed, perseverance, etc. When you claim that two people are equal, it is insulting to both individuals. The term inequality should not have a negative connotation; in fact, our inequality should be celebrated. It is what makes each of us unique.
</p>
</div>
</div>

<div id="outline-container-org39ba65d" class="outline-3">
<h3 id="org39ba65d">4. ACCEPTANCE RATHER THAN TOLERANCE</h3>
<div class="outline-text-3" id="text-org39ba65d">
<p>
Acceptance is expected among our members, but not necessarily tolerance. Tolerance is negative in connotation and in practice. Tolerance is to endure with forbearance and restraint. It implies that you must fight your own instincts. Tolerance requires patience and causes stress and frustration. More importantly, tolerance drains you of your vital energy. Energy is not limitless so rather than wasting energy on tolerance, direct that energy toward something positive. Acceptance is a positive emotion and should be practiced by our members. Where tolerance focuses on the bad aspects of the person or situation, acceptance is seeing the good in the person or situation. So when you find yourself becoming irritated at the behavior of others, look deeper and find the positive aspects that are there within each of us.
</p>
</div>
</div>

<div id="outline-container-orgce1a383" class="outline-3">
<h3 id="orgce1a383">5. DO NOT BE JUDGEMENTAL</h3>
<div class="outline-text-3" id="text-orgce1a383">
<p>
The practice of judging and condemning is a negative emotion and is the sign of a shallow intellect. Typically, the one who is condemning is doing so because of his own inadequacies. He is weak-minded and must focus on the negative aspects of others to avoid the pain of recognizing the negative aspects of himself. A wise man once said, “Judge not, lest you be judged.”
</p>
</div>
</div>

<div id="outline-container-org5211fdc" class="outline-3">
<h3 id="org5211fdc">6. VICTIM MENTALITY AND MARTYRDOM</h3>
<div class="outline-text-3" id="text-org5211fdc">
<p>
Some people are habitual victims, seeking personal attention all the time. When someone is committed to being a victim, everyone else is to blame, and there is absolutely no hope whatsoever for this person. The victim only has one cause–himself. Some victims prefer to play the role of martyr. They often pick fights in order to lose–to be the victim, to be the martyr. Martyrdom is often used by weaklings who cannot admit defeat or admit that they were wrong. If you are in a situation were martyrdom is your only course of action, then you are championing the wrong cause. Victim mentality and self-martyrdom will not be tolerated.
</p>
</div>
</div>

<div id="outline-container-org529571b" class="outline-3">
<h3 id="org529571b">7. YOUR VALUE TO THE COMMUNITY</h3>
<div class="outline-text-3" id="text-org529571b">
<p>
We as human beings tend to over-valuate ourselves, always thinking we are worth more than we actually are. No one ever claims that they are overpaid or treated too well by others. We think we are owed. We are clothed psychologically with pretenses and fraud, but we have to understand that the market is never wrong. You may think that you deserve more money, greater respect or better treatment. But if no one is willing to give you these things, then the market has priced you accordingly. You must learn to evaluate yourself as an impartial observer.
</p>
</div>
</div>

<div id="outline-container-orge4a80c5" class="outline-3">
<h3 id="orge4a80c5">8. COMPETITON IS ENCOURAGED</h3>
<div class="outline-text-3" id="text-orge4a80c5">
<p>
Competition amongst individuals should not be shunned but encouraged! The brutal fact is that the more we opt out of competition, the lower our position in the community is likely to be. If you feel yourself slipping down the ranks of the pecking order, then do something about it.
</p>
</div>
</div>
</div>

<div id="outline-container-org1d9af50" class="outline-2">
<h2 id="org1d9af50">ENFORCING THE CODE OF CONDUCT</h2>
<div class="outline-text-2" id="text-org1d9af50">
<p>
The following actions are available to community leaders in the event that disciplinary action needs to be taken:
</p>
</div>

<div id="outline-container-org1cb362c" class="outline-3">
<h3 id="org1cb362c">1. VERBAL WARNING</h3>
<div class="outline-text-3" id="text-org1cb362c">
<p>
The verbal warning should be a private consultation from a community leader who should explain the violation and prescribe any corrective actions, such as public or private apology.
</p>
</div>
</div>

<div id="outline-container-org6e5614c" class="outline-3">
<h3 id="org6e5614c">2. WRITTEN WARNING</h3>
<div class="outline-text-3" id="text-org6e5614c">
<p>
The written warning is a formal warning that should be part of the member&rsquo;s permanent record. The written warning is appropriate if the member being disciplined has already received a verbal warning, or if the offense warrants skipping the verbal warning altogether.
</p>
</div>
</div>

<div id="outline-container-orga15d9fc" class="outline-3">
<h3 id="orga15d9fc">3. TEMPORARY BAN</h3>
<div class="outline-text-3" id="text-orga15d9fc">
<p>
The temporary ban should be used for serious violations of the Code of Conduct. The member being disciplined is banned from any kind of interaction, public or private, with the community for a specified time.
</p>
</div>
</div>

<div id="outline-container-org901f8b7" class="outline-3">
<h3 id="org901f8b7">4. PERMANENT BAN</h3>
<div class="outline-text-3" id="text-org901f8b7">
<p>
A permanent ban is appropriate when the member being disciplined has proven that he cannot abide by the Code of Conduct. The member being disciplined is banned from any kind of interaction, public or private, with the community. This ban is permanent and irrevocable.
</p>
</div>

<div id="outline-container-orgf2e8bb1" class="outline-4">
<h4 id="orgf2e8bb1">Footer</h4>
<div class="outline-text-4" id="text-orgf2e8bb1">
<p>
Copyright © 2020-2021 Derek Taylor (DistroTube)
</p>

<p>
This page is licensed under a <a href="https://creativecommons.org/licenses/by-nd/4.0/">Creative Commons Attribution-NoDerivatives 4.0 International License</a> (CC-BY-ND 4.0).
</p>

<p>
The source code for distro.tube can be found on <a href="https://gitlab.com/dwt1/distro.tube">GitLab</a>.  User-submitted contributions to the site are welcome, as long as the contributor agrees to license their submission with the CC-BY-ND 4.0 license.
</p>
</div>
</div>
</div>
</div>
</div>
<div id="postamble" class="status">
<p class="author">Author: dt</p>
<p class="date">Created: 2021-12-03 Fri 15:43</p>
</div>
</body>
</html>
